QXmpp: QXmppMucManager Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Signals | Public Member Functions | Properties | List of all members
QXmppMucManager Class Reference
Managers

The QXmppMucManager class makes it possible to interact with multi-user chat rooms as defined by XEP-0045: Multi-User Chat. More...

`#include <QXmppMucManager.h>`

Inheritance diagram for QXmppMucManager:

## Signals
void | invitationReceived (const QString &roomJid, const QString &inviter, const QString &reason)
| This signal is emitted when an invitation to a chat room is received.
void | roomAdded (QXmppMucRoom *room)
| This signal is emitted when a new room is managed.

## Public Member Functions
| QXmppMucManager ()
| Constructs a new QXmppMucManager.
| ~QXmppMucManager ()
| Destroys a QXmppMucManager.
QXmppMucRoom * | addRoom (const QString &roomJid)
QList< QXmppMucRoom * > | rooms () const
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual | ~QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList < QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Properties
QList< QXmppMucRoom * > | rooms
| Returns the list of managed rooms.

## Additional Inherited Members
Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)

## Detailed Description

The QXmppMucManager class makes it possible to interact with multi-user chat rooms as defined by XEP-0045: Multi-User Chat.

To make use of this manager, you need to instantiate it and load it into the QXmppClient instance as follows:

QXmppMucManager *manager = new QXmppMucManager;
client->addExtension(manager);

You can then join a room as follows:

QXmppMucRoom *room = manager->addRoom("room@conference.example.com");
room->setNickName("mynick");
room->join();

## Member Function Documentation

QXmppMucRoom * QXmppMucManager::addRoom | ( | const QString & | roomJid | ) |

Adds the given chat room to the set of managed rooms.

Parameters

  roomJid |

The documentation for this class was generated from the following files:

- QXmppMucManager.h
- QXmppMucManager.cpp